/Users/bernard/b20/bsoft/src/baddmask.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/baddmask.cpp - Program to catenate image files.

SYNOPSIS

#include 'rwimg.h'
#include 'img_combine.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
Bimage * img_composite_mask (Bstring *file_list, int mask_type)
Generates a composite of multiple masks.
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to catenate image files.

Author:
    Bernard Heymann

Date:
    Created: 20091117

    Modified: 20170117

Definition in file baddmask.cpp.

Function Documentation

  Bimage * img_composite_mask (Bstring * file_list, int mask_type)

Generates a composite of multiple masks.

Parameters:
    *file_list list of file names.
    mask_type type of mask to generate (2/3).

Returns:
    Bimage* composite mask (4-byte integer).

    The composite mask can be either a multi-bit mask (mask_type = 2),
    or a multi-level mask (mask_type = 3).

Definition at line 148 of file baddmask.cpp.

  int main (int argc, char ** argv)

Definition at line 43 of file baddmask.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: baddmask [options] input.images",
"--------------------------------------",
"Adds multiple masks to generate a new composite mask.",
"Any number of input images may be given and may include the wild card
" ",
"Actions:",
"-type bit                Type of composite mask: uniform/bit/level.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-sampling 1.5,1.5,1.5    Sampling (A/pixel; a single value can be given).",
"-origin 0.8,-10,15.7     Set the origin (default from input image).",
" ",
"Output:",
"-output output.img       Output image (default sum.map).",
" ",
NULL
}

Definition at line 21 of file baddmask.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.